> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/invoices/{id} > Retrieves the invoice specified by the id ## OpenAPI ````json GET /public/v1/invoices/{id} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/invoices/{id}": { "get": { "tags": [ "inventory" ], "description": "Retrieves the invoice specified by the id", "parameters": [ { "name": "id", "in": "path", "description": "Identifier of the invoice", "required": true, "schema": { "type": "string($uuid)" } } ], "responses": { "200": { "description": "invoice entity", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoPublicDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoPublicDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoPublicDto" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoPublicDto": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier for the invoice.", "format": "uuid" }, "transactionType": { "type": "string", "description": "The type of transaction, either Invoice or Credit Memo.", "nullable": true }, "name": { "type": "string", "description": "The invoice name.", "nullable": true }, "number": { "type": "string", "description": "The invoice number.", "nullable": true }, "amount": { "type": "number", "description": "The total amount of the invoice.", "format": "double" }, "isPaid": { "type": "boolean", "description": "Indicates if the invoice has been paid.", "nullable": true }, "creditExpected": { "type": "number", "description": "The amount of credit expected on the invoice.", "format": "double", "nullable": true }, "overhead": { "type": "number", "description": "The amount of overhead to be applied to invoice detail rows.", "format": "double", "nullable": true }, "comment": { "type": "string", "description": "A user comment for the invoice.", "nullable": true }, "status": { "type": "string", "description": "The approval status of the invoice.", "nullable": true }, "date": { "type": "string", "description": "The date of the invoice.", "format": "date" }, "documentDate": { "type": "string", "description": "The document date of the invoice.", "format": "date" }, "dueDate": { "type": "string", "description": "The due date of the invoice.", "format": "date", "nullable": true }, "legalEntity": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference" }, "location": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Locations.LocationReference" }, "vendor": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Vendors.VendorReference" }, "purchaseOrder": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderReference" }, "createdBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who created the accounts payable invoice or credit memo." }, "createdOn": { "type": "string", "description": "The date the invoice was created.", "format": "date-time", "nullable": true }, "modifiedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who last modified the accounts payable invoice or credit memo." }, "modifiedOn": { "type": "string", "description": "The date the invoice was last modified.", "format": "date-time", "nullable": true }, "approvedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who approved the accounts payable invoice or credit memo." }, "approvedOn": { "type": "string", "description": "The date the invoice was approved.", "format": "date-time", "nullable": true }, "completedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who completed the accounts payable invoice or credit memo." }, "completedOn": { "type": "string", "description": "The date the invoice was completed.", "format": "date-time", "nullable": true }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoDetailPublicDto" }, "description": "The invoice line item details.", "nullable": true } }, "additionalProperties": false, "description": "An Accounts Payable Invoice or Credit Memo." }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the legal entity." }, "name": { "type": "string", "nullable": true, "description": "Display name of the legal entity." } }, "additionalProperties": false, "description": "A reference to a legal entity." }, "R365.Inventory.Shared.Contracts.Locations.LocationReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The id of the location.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the location.", "nullable": true }, "number": { "type": "string", "description": "The location number.", "nullable": true } }, "additionalProperties": false, "description": "Represents a reference to a location." }, "R365.Inventory.Shared.Contracts.Vendors.VendorReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the vendor." }, "name": { "type": "string", "nullable": true, "description": "Display name of the vendor." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the vendor." } }, "additionalProperties": false, "description": "A reference to a vendor." }, "R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the purchase order." }, "name": { "type": "string", "nullable": true, "description": "Display name of the purchase order." } }, "additionalProperties": false, "description": "A reference to a purchase order." }, "R365.Inventory.Shared.Contracts.Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the user.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the user.", "nullable": true } }, "additionalProperties": false, "description": "A reference to a user." }, "R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoDetailPublicDto": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier for the detail.", "format": "uuid" }, "comment": { "type": "string", "description": "The detail comment.", "nullable": true }, "eachAmount": { "type": "number", "description": "The amount of each item in the line item.", "format": "double" }, "overhead": { "type": "number", "description": "Overhead [ex: freight] that should be added to the line item total.", "format": "double" }, "generalLedgerAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "item": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference" }, "location": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Locations.LocationReference" }, "quantity": { "type": "number", "description": "The quantity of the item.", "format": "double" }, "quantityOrdered": { "type": "number", "description": "The quantity ordered for this line item, if linked to a purchase order. This is defined\r\nin the same unit of measure as the quantity field for what was received on this invoice.", "format": "double", "nullable": true }, "total": { "type": "number", "description": "The total amount of the line item.", "format": "double" }, "unitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "vendorItem": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Vendors.VendorItemReference" } }, "additionalProperties": false, "description": "A detail for an Accounts Payable Invoice or Credit Memo." }, "R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the general ledger account." }, "name": { "type": "string", "nullable": true, "description": "Display name of the general ledger account." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the general ledger account." } }, "additionalProperties": false, "description": "A reference to a General Ledger Account." }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the public item." }, "name": { "type": "string", "nullable": true, "description": "Display name of the public item." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the public item." }, "itemType": { "type": "string", "nullable": true } }, "additionalProperties": false, "description": "A reference to an item." }, "R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the unit of measure." }, "name": { "type": "string", "nullable": true, "description": "Display name of the unit of measure." } }, "additionalProperties": false, "description": "A reference to a unit of measure." }, "R365.Inventory.Shared.Contracts.Vendors.VendorItemReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "nullable": true, "description": "Unique identifier of the vendor item." }, "name": { "type": "string", "nullable": true, "description": "Display name of the vendor item." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the vendor item." }, "brandItemNumber": { "type": "string", "nullable": true }, "purchaseUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "splitUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" } }, "additionalProperties": false, "description": "A reference to a vendor item." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````